package shapes

import "testing"

func TestPerimeter(t *testing.T) {
	rectangle := Rectangle{30.5, 20.5}
	got := Perimeter(rectangle)
	exp := 102.0

	if got != exp {
		t.Errorf("got %.2f expected %.2f", got, exp)
	}
}

func TestArea(t *testing.T) {
	rectangle := Rectangle{30.5, 20.5}
	got := Area(rectangle)
	exp := 625.25

	if got != exp {
		t.Errorf("got %.2f expected %.2f", got, exp)
	}
}
